const app = getApp()

import {
    selfFormatTimeYMD,
    selfFormatTimeHM
} from "../../../../utils/util.js"

import {
    getOpenDoorRecordRq
} from "../../../../api/meeting/equipment.js"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        userDetail: {},
        openRecordList: [],
        pageNum: 1,
        pageSize: 25,
        isDataAll: false,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this;
        let userDetail = wx.getStorageSync('user')
        _this.setData({
            userDetail,
            ...options,
        })
        // 获取-开门记录数据
        _this.getOpenRecordData()
    },


    // 获取-开门记录数据
    getOpenRecordData() {
        let _this = this;
        if (_this.data.isDataAll) {
            return
        }
        getOpenDoorRecordRq({
            userId: _this.data.userDetail.id,
            pageNum: _this.data.pageNum,
            pageSize: _this.data.pageSize
        }).then(res => {
            console.log('getOpenRecordData', res);
            let queryList = res.data.records
            if (queryList && queryList.length > 0) {
                queryList = queryList.map(item => {
                    item.createTimeYMD = selfFormatTimeYMD(item.createTime)
                    item.createTimeHM = selfFormatTimeHM(item.createTime)
                    return item;
                })
                let openRecordList = _this.data.openRecordList.concat(queryList);
                _this.setData({
                    openRecordList,
                    pageNum: _this.data.pageNum + 1,
                })

            } else {
                _this.setData({
                    isDataAll: true
                })
            }
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        console.log('onReachBottom 页面上拉触底');
        let _this = this;
        // 获取-开门记录数据
        _this.getOpenRecordData();
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})